Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.simpleapi
Interface IDataBinding

    public interface IDataBinding

Represents the design of an DataBinding in the scripting environment

Method Summary
`java.lang.String` | `getAggregateOn()` Returns aggregateOn of column binding
`java.lang.String` | `getDataType()` Returns data type of column binding.
`java.lang.String` | `getExpression()` Returns expression of column binding
`java.lang.String` | `getExpressionType()` Gets the expression type of the column binding.
`java.lang.String` | `getName()` Returns the name of column binding.
`IStructure` | `getStructure()` Returns structure.
`void` | `setAggregateOn(java.lang.String on)` Sets aggregateOn of column binding.
`void` | `setDataType(java.lang.String dataType)` Sets data type of column binding
`void` | `setExpression(java.lang.String expression)` Sets expression of column binding.
`void` | `setExpressionType(java.lang.String expressionType)` Sets the expression type of the column binding.
`void` | `setName(java.lang.String name)` Sets the name of column binding.

Method Detail

### getName

    java.lang.String getName()

  Returns the name of column binding.

  Returns:
    name name of column binding.

### setName

    void setName(java.lang.String name)
                 throws SemanticException

  Sets the name of column binding.

  Parameters:
    `name` - name of column binding.
  Throws:
    `ScriptException`
    `SemanticException`

### getExpression

    java.lang.String getExpression()

  Returns expression of column binding

  Returns:
    expression of column binding

### setExpression

    void setExpression(java.lang.String expression)
                       throws SemanticException

  Sets expression of column binding.

  Parameters:
    `expression` - expression of column binding.
  Throws:
    `ScriptException`
    `SemanticException`

### getDataType

    java.lang.String getDataType()

  Returns data type of column binding.

  - `any`
  - `integer`
  - `string`
  - `date-time`
  - `decimal`
  - `float`
  - `boolean`

  Returns:
    data type of column binding

### setDataType

    void setDataType(java.lang.String dataType)
                     throws SemanticException

  Sets data type of column binding

  Parameters:
    `dataType` -
  Throws:
    `ScriptException`
    `SemanticException`

### getAggregateOn

    java.lang.String getAggregateOn()

  Returns aggregateOn of column binding

  Returns:
    aggregateOn of column binding

### setAggregateOn

    void setAggregateOn(java.lang.String on)
                        throws SemanticException

  Sets aggregateOn of column binding.

  Parameters:
    `on` - aggregateOn of column binding.
  Throws:
    `ScriptException`
    `SemanticException`

### getStructure

    IStructure getStructure()

  Returns structure.

  Returns:
    structure

### getExpressionType

    java.lang.String getExpressionType()

  Gets the expression type of the column binding.

  Returns:
    the expression type of the column binding.

### setExpressionType

    void setExpressionType(java.lang.String expressionType)
                           throws SemanticException

  Sets the expression type of the column binding.

  Parameters:
    `expressionType` - the expression type of the column binding.
  Throws:
    `SemanticException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.